#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int N,K,i=1;
    int A[N],br=0;
    scanf("%d %d",&N,&K);
    (1<=N)&&(N<=pow(10,6));
    (1<=K)&&(K<=pow(10,6));
    for (int i=0;i<N;i++)
        scanf("%d",&A[i]);
    for (int i=0;i<N;i++)
    {
        for (int j=0;j<N;j++)
        {
          if (A[i]==A[j])
                br++;
          if (br==K)
          {
              printf("%d\n",br);
              printf("%d ",A[i]);
          }
        }
    }






    return 0;
}